Page MenuHomePhabricator

Use global preferences for the Contributions "blue dot" invite
Closed, ResolvedPublic

Description

A blue dot is shown as an invite (T216498) to announce the more persistent entry points for Content translation to those users that discovered the tool through other entry points.

The initial implementation used local storage, but that brings some limitations (T216498#5225874) that can cause users to see the invite multiple times because of their access to multiple wikis or the use of different devices.

Using global preferences can support a more consistent experience across wikis and devices. This ticket proposes to use global preferences instead.

As described in the original spec (T216498), this is targeted only to "users that access Content translation the first time through other entry points that are not the Contributions page or menu". That means that:

  • A person that never accessed CX should see it 0 times
  • A person that accessed CX through the Contributions page (or menu) should see it 0 times
  • A person that accessed CX through the contributions page (or menu) and later through the grey interlanguage links, should see it 0 times.
  • A person that accessed CX only through the grey interlanguage links (T217827) or the new page creation invite (T216032), should see it 1 time.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 9:41 AM
Pginer-WMF triaged this task as Normal priority.Jul 18 2019, 9:41 AM

Change 524732 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Use global preferences for the entrypoint feature discovery

https://gerrit.wikimedia.org/r/524732

My initial thoughts on seeing this is that an animated dot may be a bit too "loud" for a notification shown to all users. The usage in VE is part of a semi-guided tour where the user has already taken some action that leads us to believe they may need to use some specific tools (i.e. clicking "edit"), whereas a generic logged in user has given us no indication they want to know about the new contributions features.

If this were to be a standard way to highlight new features, a new logged in user may end up seeing several of this pulsating dots after first logging in, which I think could be overwhelming.

Pginer-WMF added a comment.EditedJul 23 2019, 8:40 AM

My initial thoughts on seeing this is that an animated dot may be a bit too "loud" for a notification shown to all users.

This is not targeted to all users. As defined in T216498, this is shown to "users that access Content translation the first time through other entry points that are not the Contributions page or menu". That is, a user explicitly confirms an invite to try Content translation, and after using it a blue dot shows the main entry point to access the tool in the future.

This is a direct consequence of the user explicitly accepting to use the tool, and answers a reasonable question (how to find the tool again, given that the initial invite I used may not be there the next time?). So I think that while being prominent, it highlights a logical next step for the user.

We'll check if there is any issue causing this to be more widely visible than intended.

santhosh updated the task description. (Show Details)Jul 23 2019, 8:49 AM
Pginer-WMF updated the task description. (Show Details)Jul 23 2019, 8:58 AM
Jpita added a subscriber: Jpita.Jul 23 2019, 9:03 AM

QA NOTES:

  • check for new user
  • check for existing user with new login
  • check for existing user already logged in

Ah, ok that makes sense, thanks for the explanation.

Change 524732 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use global preferences for the entrypoint feature discovery

https://gerrit.wikimedia.org/r/524732

Esanders removed a subscriber: Esanders.Aug 5 2019, 11:13 AM
Jpita added a comment.Aug 5 2019, 1:55 PM

@santhosh I can see the dot in pt and es wikis but not in en and fr. Is there any specific reason for the difference?

Steps:

  1. go to pt.wiki and create a new account
  2. enable the beta feature for cx
  3. go to the cx tool through a grey language link (I went from pt.wiki to es.wiki, translating a portuguese article to spanish)
  4. after the translation tool loads, go back to es.wiki through the home button on the top left
  5. now you can see the dot on both pt.wiki and es.wiki.
  6. go to en.wiki or fr.wiki -> the dot does not appear and cx is not enabled in the beta features

The feature does not differentiate between wikis. I suspect caching related inconsistencies.

Jpita closed this task as Resolved.Aug 6 2019, 4:52 PM